View Issue Details

IDProjectCategoryView StatusLast Update
0016721LazarusLCLpublic2011-12-01 11:26
ReporterZexAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLazarus for WindowsOSWindowsOS VersionXP
Product Version0.9.28.2Product BuildSVN revision 22279 
Target Version1.0.0Fixed in Version0.9.31 (SVN) 
Summary0016721: TScrollBox.ScrollBy does not work
DescriptionWhen the ScrollBox1.ScrollBy method is called manually from a TImage even it doesn't do anything.
Steps To Reproduce1. Place a TScrollBox on a form
2. Place a TImage inside the ScrollBox and make it larger than ScrollBox
3. Assign the OnClick event for TImage and enter this:

ScrollBox1.ScrollBy (0, 10);

Start the program and try clicking the TImage. The event executes, the ScrollBy is called, but it doesn't produce any movement.
Additional InformationI can send a sample application if necessary.
Tagsbutton, event, mouse, scroll, ScrollBy, TImage, TScrollBox
Fixed in Revision29944
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Activities

Zex

2010-06-20 11:29

reporter   ~0038669

TScrollBox has very slow movement when scroll button is used. So when you want to speed it up using the ScrollBy function (the described way), it just doesn't work. Effectively, TScrollBox is not usable with the scroll button (not for any real-world application).

Vincent Snijders

2010-06-20 11:55

manager   ~0038672

Where is described that the ScrollBy function can be used to speed up scrolling?

Did you handle an OnMouseWheel event?

Vincent Snijders

2010-06-20 11:56

manager   ~0038673

What is the winsock tag doing here?

Zeljan Rikalo

2010-06-20 12:03

developer   ~0038674

This is duplicate but cannot remember of which issue.

Paul Ishenin

2011-03-21 03:42

manager   ~0046712

Please test and close if ok.

Issue History

Date Modified Username Field Change
2010-06-13 10:40 Zex New Issue
2010-06-13 10:40 Zex Widgetset => Win32/Win64
2010-06-20 11:29 Zex Note Added: 0038669
2010-06-20 11:31 Zex Tag Attached: TScrollBox
2010-06-20 11:31 Zex Tag Attached: winsock
2010-06-20 11:31 Zex Tag Attached: button
2010-06-20 11:31 Zex Tag Attached: event
2010-06-20 11:31 Zex Tag Attached: mouse
2010-06-20 11:31 Zex Tag Attached: scroll
2010-06-20 11:31 Zex Tag Attached: ScrollBy
2010-06-20 11:31 Zex Tag Attached: TImage
2010-06-20 11:55 Vincent Snijders Note Added: 0038672
2010-06-20 11:56 Vincent Snijders Note Added: 0038673
2010-06-20 12:03 Zeljan Rikalo Note Added: 0038674
2010-10-29 14:05 Vincent Snijders Tag Detached: winsock
2010-10-29 14:05 Vincent Snijders LazTarget => 1.0
2010-10-29 14:05 Vincent Snijders Status new => acknowledged
2010-10-29 14:05 Vincent Snijders Target Version => 1.0.0
2011-03-21 03:42 Paul Ishenin Fixed in Revision => 29944
2011-03-21 03:42 Paul Ishenin Status acknowledged => resolved
2011-03-21 03:42 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2011-03-21 03:42 Paul Ishenin Resolution open => fixed
2011-03-21 03:42 Paul Ishenin Assigned To => Paul Ishenin
2011-03-21 03:42 Paul Ishenin Note Added: 0046712
2011-12-01 11:26 Marc Weustink Status resolved => closed